### Function

# Gimp gradients_set_popup

#### Declaration [src]

    gboolean
    gimp_gradients_set_popup (
      const gchar* gradient_callback,
      GimpGradient* gradient
    )

#### Description [src]

Sets the current gradient in a gradient selection dialog.

Sets the current gradient in a gradient selection dialog.

#### Parameters

`gradient_callback`

  Type: `const gchar*`

  The name of the callback registered for this pop-up.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`gradient`

  Type: `GimpGradient`

  The gradient to set as selected.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

TRUE on success.